<!--
SPDX-FileCopyrightText: 2024 Brandenburgische Technische Universität Cottbus-Senftenberg

SPDX-License-Identifier: CC0-1.0
-->

# Changelog

## v2025.01.10: Initial release

### Added
    * Added licencing information
    * Added test data and tests
    * Added README, Makefile, Changelog, Manifest and Citation information
    * Added pre-commit hooks and GitLa Pipeline
    * Added basic configuration parameters (`.cruft.json`)
    * Added plugin wrapper utilizing the databrowser to search for CMORized data files based on generalized varaible names
    * Added HTML representation explaining where to find results and how to access them
### Changed
    * Moved scientific calculation scripts into `src/pet/`
    * Adapted main calculation script to follow dry principle and provide more logging: `src/pet/calculation.sh`
    * Outsourced definition of calculation functions into seperate file: `src/pet/pet_functions.sh`
    * Outsourced basic configurations into seperate file: `src/pet/utils.sh`
    * Outsourced additional expression files into own directory: `src/pet/helper`

## v2025.01.28: Intelligent variable handling

### Added
    * Added support for projects besides NUKLEUS via project facet
    * Added calculation of daily vapour pressure (pvap) if data not available: `src/pet/helper/calc_pvap`
    * Added project-based selection of orographic data if no orographic data is given for selected collection of facet options
    * Added feature checking availability of required variables based on selection of facet options and providing suggestions of suitable facet options if varaibles are missing
    * Added prod-test and func-test for CMIP6 data to test calculation of pvap
    * Added test data for CMIP6
### Changed
    * Set of varaibles are now located within a dictionary taking into account that different projects have different capitalization of varaible names

