<!--
SPDX-FileCopyrightText: 2024 Brandenburgische Technische Universität Cottbus-Senftenberg

SPDX-License-Identifier: BSD-3-Clause
-->

# PET

[![CI](https://gitlab.dkrz.de/ch1187/plugins4freva/pet/badges/master/pipeline.svg)](https://gitlab.dkrz.de/ch1187/plugins4freva/pet/-/pipelines?page=1&scope=all&ref=master)
<!-- [![Code coverage](https://gitlab.dkrz.de/ch1187/plugins4freva/pet/badges/main/coverage.svg)](https://gitlab.dkrz.de/ch1187/plugins4freva/pet/-/graphs/main/charts) -->
<!-- TODO: uncomment the following line when the package is registered at https://readthedocs.org -->
<!-- [![Docs](https://readthedocs.org/projects/pet/badge/?version=latest)](https://pet.readthedocs.io/en/latest/) -->
<!-- [![Latest Release](https://gitlab.dkrz.de/ch1187/plugins4freva/pet/-/badges/release.svg)](https://gitlab.dkrz.de/ch1187/plugins4freva/pet) -->
<!-- TODO: uncomment the following line when the package is published at https://pypi.org -->
<!-- [![PyPI version](https://img.shields.io/pypi/v/pet.svg)](https://pypi.python.org/pypi/pet/) -->
[![Functional](https://img.shields.io/badge/Functional-Test-brown.svg)](https://ch1187.gitlab-pages.dkrz.de/plugins4freva/pet/func_test/)
[![Production](https://img.shields.io/badge/Production-Test-ff33fc.svg)](https://ch1187.gitlab-pages.dkrz.de/plugins4freva/pet/prod_test/)
<!-- [![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black) -->
<!-- [![Imports: isort](https://img.shields.io/badge/%20imports-isort-%231674b1?style=flat&labelColor=ef8336)](https://pycqa.github.io/isort/) -->
<!-- [![PEP8](https://img.shields.io/badge/code%20style-pep8-orange.svg)](https://www.python.org/dev/peps/pep-0008/) -->
<!-- [![Checked with mypy](http://www.mypy-lang.org/static/mypy_badge.svg)](http://mypy-lang.org/) -->
<!-- TODO: uncomment the following line when the package is registered at https://api.reuse.software -->
[![REUSE status](https://api.reuse.software/badge/gitlab.dkrz.de/ch1187/plugins4freva/pet)](https://api.reuse.software/info/gitlab.dkrz.de/ch1187/plugins4freva/pet)


## Connection and Module Loading

To connect to the server and load the necessary modules for the project, use the following commands:

```bash
ssh <user-id>@levante.dkrz.de
module load clint regiklim-ces
```

## Integrating PET with the Plugin

To integrate PET into your Freva instance, follow these steps:

1. **Clone the Plugin Repository:**

    Navigate to the appropriate directory and clone the repository using the following commands:

    ```bash
    cd /work/ch1187/regiklim-work/<username>/regiklim-ces/plugins/
    git clone https://gitlab.dkrz.de/ch1187/plugins4freva/pet.git
    ```

2. **Install Prerequisites:**

    After cloning the repository, install the required packages:

    ```bash
    cd pet
    source /etc/profile.d/modules.sh
    module use /sw/spack-levante/spack/modules
    module load cdo/2.2.2-gcc-11.2.0 nco/5.0.6-gcc-11.2.0
    ```

3. **Configure the Freva Instance:**

    Use the following export command to make the plugin available in your Freva instance:

    ```bash
    export EVALUATION_SYSTEM_PLUGINS=/work/ch1187/regiklim-work/<username>/regiklim-ces/plugins/pet,pet-wrapper-api
    ```

Now, the plugin is ready to be used in your Freva instance.

## Development and contribution

To use this in a development setup, clone the [source code](https://gitlab.dkrz.de/ch1187/plugins4freva/pet.git) from
gitlab, start the development server and make your changes:

```bash
git clone https://gitlab.dkrz.de/ch1187/plugins4freva/pet.git
cd pet
source /etc/profile.d/modules.sh
module use /sw/spack-levante/spack/modules
module load cdo/2.2.2-gcc-11.2.0 nco/5.0.6-gcc-11.2.0
```

In order to be able to run the given CI/CD-Pipelines two additional variables need to be defined within the repository:
| Variable Key   | Description                                   |
|----------------|-----------------------------------------------|
| ACCOUNT        | Project account to run the production test CI-job. |
| PROJECT_MODULE | Name of project module which should be loaded |


## Technical note

This package has been generated from the template
[Freva Plugin Template](https://gitlab.dkrz.de/ch1187/plugins4freva/freva-plugin-template).

See the template repository for instructions on how to update the skeleton for
this package.


## License information

Copyright © 2024 Brandenburgische Technische Universität Cottbus-Senftenberg



Code files in this repository are licensed under the
BSD-3-Clause, if not stated otherwise
in the file.


Documentation files in this repository are licensed under CC-BY-4.0, if not stated otherwise in the file.



Supplementary and configuration files in this repository are licensed
under CC0-1.0, if not stated otherwise
in the file.

Please check the header of the individual files for more detailed
information.



### License management

License management is handled with [``reuse``](https://reuse.readthedocs.io/).
f you have any question on this plugin, please contact with [freva@dkrz.de](mailto:freva@dkrz.de)
